Subject: Well known Port Number to be 5003 for iSCSI plug-fest, 16-20July,2001

From: Anshul Chadda <[email-masked]>
Date: Wed, 11 Jul 2001 18:30:12 -0400 (EDT)

Hi all:
There has been debate about the "well known port number" that will be used
for the upcoming iSCSI plug-fest. We, UNH, had advertised to the vendors
that the "well known port number" will be 4000.  Apparently many companies
seem to be using port 5003 as "well known port number" for reasons stated
by Mark Bakke in the attached email.
 
Well, we(UNH) are willing to move to port 5003 as "well known port number"
on the target. I am hoping that this decision doesn't affect many
vendors. If there is some problem with anybody, let us know.

Anshul

----------------------------------------------------------------------
iSCSI Consortium
InterOperability Lab
Rm 201, Jere A. Chase Ocean Engg. Bldg
24 Colovis Road
Durham, NH 03824-3525
Tel:603-862-1908
----------------------------------------------------------------------  

---------- Forwarded message ----------
Date: Mon, 09 Jul 2001 15:31:51 -0500
From: Mark Bakke <[email-masked]>
To: Robert D. Russell <[email-masked]>
Cc: Dave Peterson <[email-masked]>, "Nguyen, Tri G" <[email-masked]>,
     'Barry Reinhold' <[email-masked]>,
     Anshul Chadda <[email-masked]>,
     Michael Froning <[email-masked]>, [email-masked],
     'Rod Harrison' <[email-masked]>,
     Eddy Quicksall <[email-masked]>
Subject: Re: iSCSI Plug-fest in mid June

We (Cisco) arbitrarily picked 5003 in our initial implementation,
since there was no port in the iSCSI document.  It is used in
our current product as well as in our drivers.  This port has
been propagated to several other companies' implementations, both
through licensing of our drivers and testing with our product.
I think that there are enough implementations using 5003 to consider
it defacto, at least until IANA assigns us a port number.  I wish
we would have thought to post the number on this list earlier; it
might have avoided some trouble.

--
Mark

"Robert D. Russell" wrote:
> 
> Dave:
> How did 5003 become "defacto" -- as far as I can tell,
> it never appeared in any documents or even on this mailing
> list prior to this discussion.  Who decided it was 5003?
> And how was that decision communicated to the rest of the
> world?  And when was this done?
> 
> Thanks,
> 
> Bob Russell
> InterOperability Lab
> University of New Hampshire
> [email-masked]
> 603-862-3774
> 
> On Mon, 9 Jul 2001, Dave Peterson wrote:
> 
> > TCP port number 5003 is currently the "defacto" for existing
> > implementations.
> > There is no well known iSCSI port number yet.
> > We need to stick with 5003 for the Plugfest. Even seen some iSCSI
> > analyzers using this number for iSCSI.
> >
> > Dave
> >
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Nguyen, Tri G
> > Sent: Monday, July 09, 2001 9:49 AM
> > To: 'Barry Reinhold'; Dave Peterson; Anshul Chadda; Michael Froning
> > Cc: [email-masked]; 'Rod Harrison'; Eddy Quicksall
> > Subject: RE: iSCSI Plug-fest in mid June
> >
> >
> > Barry,
> >   I thought 5003 is the default port for iSCSI.  This was defined in the
> > iSCSI specification.  Why do we used 4000?  Did they change the default port
> > to 4000?
> >
> > -----Original Message-----
> > From: Barry Reinhold [mailto:[email-masked]]
> > Sent: Monday, July 09, 2001 9:43 AM
> > To: Dave Peterson; Anshul Chadda; Michael Froning
> > Cc: [email-masked]; 'Rod Harrison'; Eddy Quicksall
> > Subject: RE: iSCSI Plug-fest in mid June
> >
> >
> > Dave,
> >       It's a mixed bag -- UNH has been telling all who asked that port
> > 4000 is
> > the port to use. Where did 5003 come from? I think people are going to have
> > to recompile either way (for me this is not hard, so I don't personally
> > care) but I would think it best to keep the message consistent at 4000.
> >
> > >-----Original Message-----
> > >From: Dave Peterson [mailto:[email-masked]]
> > >Sent: Monday, July 09, 2001 10:30 AM
> > >To: Barry Reinhold; Anshul Chadda; Michael Froning
> > >Cc: [email-masked]; 'Rod Harrison'; Eddy Quicksall
> > >Subject: RE: iSCSI Plug-fest in mid June
> > >Importance: High
> > >
> > >
> > >What are the chances of changing to port 5003. We (and many other vendors)
> > >will need to recompile all our stuff and retest to use port 4000. I'd like
> > >to avoid this if at all possible at this point in time.
> > >
> > >Dave
> > >
> > >-----Original Message-----
> > >From: Barry Reinhold [mailto:[email-masked]]
> > >Sent: Sunday, July 08, 2001 8:30 PM
> > >To: Dave Peterson; Anshul Chadda; Michael Froning
> > >Cc: [email-masked]; 'Rod Harrison'; Eddy Quicksall
> > >Subject: RE: iSCSI Plug-fest in mid June
> > >
> > >
> > >Dave,
> > >     The UNH stuff is setup for port 4000.
> > >
> > >>-----Original Message-----
> > >>From: [email-masked]
> > >>[mailto:[email-masked]]On Behalf Of Dave Peterson
> > >>Sent: Sunday, July 08, 2001 6:45 PM
> > >>To: Anshul Chadda; Michael Froning
> > >>Cc: [email-masked]; 'Rod Harrison'; Eddy Quicksall
> > >>Subject: RE: iSCSI Plug-fest in mid June
> > >>Importance: High
> > >>
> > >>
> > >>Rev 06+ = draft-ietf-ips-iSCSI-06.txt + Rev 07 opcodes
> > >>
> > >>Rev 06+ IS NOT draft-ietf-ips-iSCSI-06-93.txt posted on Julian's web site.
> > >>
> > >>We will be using TCP port number 5003.
> > >>
> > >>Still have not seen the UNH Rev 06 + Rev 07 opcodes reference
> > >>implementation
> > >>for conformance testing.
> > >>This is critical for vendors striving for successful conformance
> > >testing at
> > >>the Plugfest and needs to made available asap.
> > >>Monday or Tuesday at the latest.
> > >>
> > >>Dave
> > >>
> > >>-----Original Message-----
> > >>From: [email-masked]
> > >>[mailto:[email-masked]]On Behalf Of Eddy Quicksall
> > >>Sent: Wednesday, July 04, 2001 11:18 AM
> > >>To: 'Rod Harrison'; [email-masked]
> > >>Subject: RE: iSCSI Plug-fest in mid June
> > >>
> > >>
> > >>Can you please address questions 1 and 2 below?
> > >>
> > >>Eddy
> > >>
> > >>-----Original Message-----
> > >>From: [email-masked]
> > >>[mailto:[email-masked]]On Behalf Of Rod Harrison
> > >>Sent: Wednesday, July 04, 2001 12:14 PM
> > >>To: [email-masked]
> > >>Subject: RE: iSCSI Plug-fest in mid June
> > >>
> > >>
> > >>
> > >>    When we say v06+ are we talking about v06-92 as published
> > >>on Julian Satran's web site or something else?
> > >>
> > >>    - Rod
> > >>
> > >>-----Original Message-----
> > >>From: [email-masked]
> > >>[mailto:[email-masked]]On Behalf Of Eddy
> > >>Quicksall
> > >>Sent: Wednesday, July 04, 2001 1:23 PM
> > >>To: 'Dave Peterson'; [email-masked]
> > >>Subject: RE: iSCSI Plug-fest in mid June
> > >>
> > >>
> > >>1) What "well known port" are we to use for plug fest?
> > >>2) When will you have a version 06+ available for some
> > >>testing (before we come to plug fest)?
> > >>
> > >>[email-masked]
> > >>
> > >>-----Original Message-----
> > >>From: [email-masked]
> > >>[mailto:[email-masked]]On Behalf Of Dave
> > >>Peterson
> > >>Sent: Wednesday, May 16, 2001 11:31 AM
> > >>To: Anshul Chadda; [email-masked]
> > >>Subject: RE: iSCSI Plug-fest in mid June
> > >>
> > >>
> > >>As previously indicated to Anshul, we are currently shipping
> > >>product to:
> > >>
> > >>July 2000 (draft-satran-01) version plus support for the
> > >>SendTargets
> > >>function (can I call this v0?)
> > >>
> > >>We should have rev 06+ also available for testing.
> > >>
> > >>I'm not sure what benefit testing for v3 would provide at
> > >>this point in
> > >>time.
> > >>
> > >>Dave
> > >>
> > >>> -----Original Message-----
> > >>> From: [email-masked]
> > >>> [mailto:[email-masked]]On Behalf Of Anshul
> > >>Chadda
> > >>> Sent: Monday, May 14, 2001 8:20 PM
> > >>> To: [email-masked]
> > >>> Subject: iSCSI Plug-fest in mid June
> > >>>
> > >>>
> > >>> Hi all:
> > >>> We are trying to organize a plug-fest for iSCSI
> > >>InterOperability
> > >>> testing during the week of June 18th - June 22th.
> > >>>
> > >>> We plan to have the following capabilities ready for the
> > >>plug-fest:
> > >>>
> > >>> * Protocol Analyzer to decode iSCSI PDU's:
> > >>>   Basically, the protocol analyzer will be sitting on a
> > >>Gig. Ethernet
> > >>>   link between initiator and target.  The Analyzer will
> > >>expect the
> > >>>   iSCSI traffic to be carried on top of TCP/IP.
> > >>>   Version supported: 3 and 6
> > >>>
> > >>> * Test-tool for iSCSI initiator and target:
> > >>>   The test tool will enable comprehensive testing of the
> > >>basic
> > >>>   components of the iSCSI protocol for single-session,
> > >>single-
> > >>>   connection initiators and targets.
> > >>>   Version supported: 3 and 6
> > >>>
> > >>> *         In house iSCSI Target and Initiator reference
> > >>implementations:
> > >>>   These implementations are implemented in software on
> > >>Linux. They
> > >>>   will be available for testing with other vendor's
> > >>> initiators/targets.
> > >>>   Version supported: 6
> > >>>
> > >>> The location is tentatively scheduled to be at UNH for
> > >>simplicity of
> > >>> logistics, but we are open to a change of location
> > >>depending on
> > >>> the number
> > >>> of companies participating.
> > >>>
> > >>> We would also like to know what draft version people are
> > >>implementing to.
> > >>> We can easily support more versions for the Protocol
> > >>Analyzer and
> > >>> test-tool,
> > >>> but doing that for the reference implementation will be
> > >>difficult, given
> > >>> the time frame.
> > >>>
> > >>> To make definitive arrangements, we need to get an
> > >>approximate number of
> > >>> companies interested in this plug-fest. So, please let us
> > >>know as soon as
> > >>> possible.  Other plug-fest details will be mailed on this
> > >>mailing list in
> > >>> the next couple of days.
> > >>>
> > >>> Sincerely,
> > >>> Anshul
> > >>>
> > >>> ----------------------------------------------------------
> > >>------------
> > >>> iSCSI Consortium
> > >>> InterOperability Lab
> > >>> Rm 201, Jere A. Chase Ocean Engg. Bldg
> > >>> 24 Colovis Road
> > >>> University of New Hampshire
> > >>> Durham, NH 03824-3525
> > >>> Tel:603-862-1908
> > >>> ----------------------------------------------------------
> > >>------------
> > >>>
> > >>>
> > >>
> > >>
> > >
> >
> >

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054